Special¶
11 endpoint(s).
| Endpoint | Method | Summary | Auth |
|---|---|---|---|
/api/v1/special/ashtakavarga-sarva |
POST |
Sarvashtakavarga Detail | |
/api/v1/special/drekkana |
POST |
Drekkana Analysis | |
/api/v1/special/gandanta |
POST |
Gandanta Analysis | |
/api/v1/special/hora-chart |
POST |
Hora Chart | |
/api/v1/special/kaksha |
POST |
Kaksha Analysis | |
/api/v1/special/longevity |
POST |
Longevity (Ayurdaya) | |
/api/v1/special/mrityubhaga |
POST |
Mrityubhaga (Critical Degrees) | |
/api/v1/special/pushkara |
POST |
Pushkara Navamsha & Bhaga | |
/api/v1/special/shoola-dasha |
POST |
Shoola Dasha | |
/api/v1/special/upachaya |
POST |
Upachaya Analysis | |
/api/v1/special/vargottama |
POST |
Vargottama Planets |
POST /api/v1/special/ashtakavarga-sarva¶
Sarvashtakavarga Detail
Detailed Sarvashtakavarga analysis for all houses.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/special/ashtakavarga-sarva' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/special/drekkana¶
Drekkana Analysis
D3 Drekkana chart analysis for siblings and courage.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/special/drekkana' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/special/gandanta¶
Gandanta Analysis
Analyze Gandanta (karmic knot) points in the chart.
Gandanta are junction points between water and fire signs: - Pisces-Aries, Cancer-Leo, Scorpio-Sagittarius
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/special/gandanta' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/special/hora-chart¶
Hora Chart
D2 Hora chart analysis for wealth.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/special/hora-chart' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/special/kaksha¶
Kaksha Analysis
Kaksha (sub-division) analysis for transit prediction.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/special/kaksha' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/special/longevity¶
Longevity (Ayurdaya)
Calculate longevity (Ayurdaya) using classical methods.
Categories: - Alpayu (Short life): 0-32 years - Madhyayu (Medium life): 32-64 years - Purnayu (Full life): 64-100+ years
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/special/longevity' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/special/mrityubhaga¶
Mrityubhaga (Critical Degrees)
Analyze Mrityubhaga (critical degrees) in the chart.
Planets at Mrityubhaga degrees may cause health issues.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/special/mrityubhaga' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/special/pushkara¶
Pushkara Navamsha & Bhaga
Analyze Pushkara Navamsha and Pushkara Bhaga positions.
Pushkara positions give nourishment and strength to planets.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/special/pushkara' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/special/shoola-dasha¶
Shoola Dasha
Shoola Dasha analysis for timing of critical events.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/special/shoola-dasha' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/special/upachaya¶
Upachaya Analysis
Analyze planets in Upachaya houses (3, 6, 10, 11).
Upachaya houses are houses of growth - planets here improve with time. Malefics in Upachaya are beneficial.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/special/upachaya' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/special/vargottama¶
Vargottama Planets
Identify Vargottama planets - same sign in Rashi and Navamsha.
Vargottama planets are extremely strong and give stable results.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/special/vargottama' \
-H 'Authorization: Bearer <API_KEY>'